<template>
  <div>
    <!-- Cuerpo -->
    <div class="padding-top">
      <el-header  style="margin: 0 12rem;" v-bind:class="[ isContractsProvider ? 'resize-height-header' : 'height-header' ]"><!--height="250px"-->
        <!-- Botón regresar -->
        <ReturnButton v-on:clickEvent="viewList" title="Regresar" :offsetArrow="21" :spanTitle="2" class="text-end" style="margin-bottom: 2.5rem"></ReturnButton>
        <!-- Botón reposición -->
        <div v-if="!isContractsProvider" class="text-end" style="margin-bottom: 1.5rem">
          <el-button class="text-orange btn-edit-report" @click="viewRev()">Editar </el-button>
          <el-button :disabled="!(stateObs > 0) || (material.reviewStatus == 'incomplete')" @click="viewVideoReposit" :type="(stateObs > 0)? 'primary':'info'">
            REVISAR REPOSICIÓN
          </el-button>
        </div>

        <!-- Título -->
        <el-card class="report-title">
          <el-row type="flex" justify="space-between">
            <!-- <el-col :span="12">{{ material.originalTitle }}<span style="margin-left:1rem" >  ( {{ positionIn }}  / {{ totalMaterialsInContract}} ) </span></el-col> -->
            <el-col :span="18">
              {{ material.originalTitle }}
              <span style="margin-left:1rem" >  {{textCounterAboutTypeOfContent(material)}} </span>
              <span style="margin-left:1.5rem"><strong>Cod. de géminis: {{material.geminisCode}}</strong></span>
            </el-col>
          </el-row>          
        </el-card>

      </el-header>

      <el-row style="margin: 3rem 15rem;" v-if="material.reviewObj.userLogin">
        <el-col :span="6">
          <h3 class="bolt-light" >REVISADO POR: </h3>     
        </el-col>
            <el-col :span="10">
              <el-row :span="24" v-for="(item, index) in userReview" :key="index" style="margin-top: 1rem">
              <el-col :span="17" class="text-bold" >{{ item.user }}
              </el-col>
              <el-col :span="7"> ({{ item.date }})
              </el-col>
            </el-row>          
        </el-col>
      </el-row> 

      <el-main style="margin: 0 12rem;">
        <h3 class="text-red">OBSERVACIONES</h3>
        <el-table style="width: 97%; margin: 2rem 1rem 4rem"
          :data="material.reviewObj.observations"
          :header-cell-class-name="tableRowClassName"
          border >
          <el-table-column
            prop="observations"
            label="OBSERVACIONES"
            width="230">
          </el-table-column>
          <el-table-column
            label="DETALLE">
            <template slot-scope="scope">
              {{scope.row.detail}}
              <span v-if="(scope.row.other !== '' && scope.row.other !== undefined) && (scope.row.detail !== '')">, </span>
              {{scope.row.other}}
            </template>
          </el-table-column>
          <el-table-column
            label="ESTADO"
            width="220">
            <template slot-scope="scope">
              <!-- muestra modal de informacion sobre reposicion -->
              <el-button v-if="scope.row.status === 'showButton' && Object(Object(scope.row.previous)[0]).information !== 'OK'" @click="handleEdit(scope.$index, scope.row)" v-on:click="dialogTableVisible = true" size="mini" type="primary" plain>CORREGIDO</el-button>
              <p v-else v-show="Object(Object(scope.row.previous)[0]).information !== 'OK'" :class="{'text-red': reposicionMsg == scope.row.status}">{{ scope.row.status }}</p>
            </template>
          </el-table-column>
        </el-table>

        <!-- Modal -->
        <!-- title="REPOSICIONES DEL MATERIAL" -->
        <el-dialog :visible.sync="dialogTableVisible" >

         <div  style="margin:2rem; color: white; background-color: #818181 !important; padding: 10px 30px" >
            <h3 class="bolt-light"> {{ material.originalTitle.toUpperCase() }}  </h3> 
          </div>

          <h3 class="text-orange" style="margin:3rem 2rem"> REPOSICIONES </h3>

          <!-- {{ previousInfor }} -->
          <el-table :data="this.previousInfor.previous" :header-cell-class-name="tableRowClassName" style="width: 90%; margin:3rem 2rem" border>
          
            <el-table-column property="date" label="Fecha de Llegada" width="190%"></el-table-column>
            <el-table-column property="information" label="Observación Corregida"></el-table-column>
          </el-table>
        </el-dialog>
        
        <hr class="line-report" v-if="(material.reviewObj.observations[0].detail !== '') && (material.reviewObj.observations[1].detail !== '') && (material.reviewObj.observations[2].detail !== '') && (material.reviewObj.observations[3].detail !== '')">
        <h3 class="text-orange" style="margin: 4rem 0 2rem" :class="{'margin-conditional': (material.reviewObj.observations[0].detail == '') && (material.reviewObj.observations[1].detail == '') && (material.reviewObj.observations[2].detail == '') && (material.reviewObj.observations[3].detail == '')}">DATOS DEL MATERIAL</h3>
        <!-- Código del material, código del contrato -->
        <el-row style="margin-bottom: 1rem">
          <el-col :span="12" v-if="material.codMaterial">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
              <strong>CÓDIGO DEL MATERIAL</strong>
            </el-col>
            <div class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span>{{material.codMaterial}}</span>
              </el-col>
            </div>
          </el-col>
          <el-col :span="12" v-if="material.codMaterial">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
              <strong>CÓDIGO DE GÉMINIS</strong>
            </el-col>
            <div class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span>{{material.geminisCode}}</span>
              </el-col>
            </div>
          </el-col>
          <el-col :span="12" v-if="material.contractCode">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
              <strong>CÓDIGO DEL CONTRATO</strong>
            </el-col>
            <div class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span>{{material.contractCode}}</span>
              </el-col>
            </div>
          </el-col>
        </el-row>        
        <!-- Títulos del material -->
        <el-row style="margin-bottom: 1rem">
          <el-col :span="24" class="info-title-rev">
            <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
            <strong>TÍTULOS DEL MATERIAL</strong>
          </el-col>
          <el-row class="box-info-rev">
            <el-col :span="24" class="row-info-rev">
              <span class="fonts-bold-general">Título Original:</span>
              <span>{{material.originalTitle}}</span>
            </el-col>
            <el-col :span="24" class="row-info-rev">
              <span class="fonts-bold-general">Título Español y/o Sugerido:</span>
              <span>{{material.ownTitle}}</span>
            </el-col>
            <el-col :span="24" class="row-info-rev">
              <span class="fonts-bold-general">Título Comercial:</span>
              <span>{{material.listTitle}}</span>
            </el-col>
          </el-row>
        </el-row>
        <!-- Clasificación y calificación / Géneros del material -->
        <el-row style="margin-bottom: 1rem">
          <el-col :span="12">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-star-off" style="font-size: 22px; color: #828282"></i>
              <strong>CLASIFICACIÓN Y CALIFICACIÓN</strong>
            </el-col>
            <el-row class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Clasificación:</span>
                <span>{{material.reviewObj.classification}}</span>
              </el-col>
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Horario:</span>
                <span>{{material.reviewObj.schedule}}</span>
              </el-col>
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Calificación:</span>
                <el-rate v-model="material.reviewObj.score" disabled style="display: inline-block;"></el-rate>
              </el-col>
            </el-row>
          </el-col>
          <el-col :span="12">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
              <strong>GÉNEROS DEL MATERIAL</strong>
            </el-col>
            <div class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span>{{material.reviewObj.genre1}} <span v-if="material.reviewObj.genre2">y</span> {{material.reviewObj.genre2}}</span>
              </el-col>
            </div>
          </el-col>
        </el-row>
        
        <!-- Proveedor y producción, estado de emisión -->
        <el-row style="margin-bottom: 1rem">
          <el-col :span="12">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
              <strong>PROVEEDOR Y PRODUCCIÓN</strong>
            </el-col>
            <el-row class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Proveedor:</span>
                <span>{{material.providerName}}</span>
              </el-col>
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Productora:</span>
                <span>
                  <span v-for="(item, index) in material.reviewObj.arrProdCompany" :key="index"
                    style="margin-bottom:0.5rem">
                    {{item.prodCompany}} <span v-if="index < (material.reviewObj.arrProdCompany.length -1)">,  </span>
                  </span>
                </span>
              </el-col>
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Año de Producción:</span>
                <span>{{material.reviewObj.yearProduction}}</span>
              </el-col>
            </el-row>
          </el-col>
          <el-col :span="12">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
              <strong>ESTADO DE EMISIÓN</strong>
            </el-col>
            <div class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span>{{material.reviewObj.emissionStatus}}</span>
              </el-col>
            </div>
          </el-col>
        </el-row>
      
        <hr class="line-report">
        <h3 class="text-orange" style="margin: 4rem 0 2rem">INFORMACIÓN ARTÍSTICA</h3>
        <!-- Sinopsis/Resumen -->
        <el-row style="margin-bottom: 1rem">
          <el-col :span="24" class="info-title-rev">
            <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
            <strong v-if="material.typeOfContent == 'Programas Especiales' || material.typeOfContent == 'ESPECIALES'">RESUMEN</strong>
            <strong v-else>SINOPSIS</strong>
          </el-col>
          <el-row class="box-info-rev">
            <el-col :span="24" class="row-info-rev">
              <span>{{material.reviewObj.synopsis}}</span>
            </el-col>
          </el-row>
        </el-row>
        <!-- Etiquetas -->
        <el-row style="margin-bottom: 1rem">
          <el-col :span="24" class="info-title-rev">
            <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
            <strong>ETIQUETAS</strong>
          </el-col>
          <el-row class="box-info-rev">
            <el-col :span="24" class="row-info-rev">
              <el-tag v-for="(item, index) in material.reviewObj.dynamicTags"
                :key="index" type="info">
                {{item}}
              </el-tag>
            </el-col>
          </el-row>
        </el-row>

        <h4 style="margin: 0 0 1rem 2.4rem" v-if="material.typeOfContent == 'Programas Especiales' || material.typeOfContent == 'ESPECIALES'">CONDUCCIÓN</h4>
        <h4 v-else style="margin: 0 0 1rem 2.4rem">ACTORES <span v-if="material.reviewObj.voiceActors !== ''">DE VOZ</span> PRINCIPALES Y SECUNDARIOS</h4>
        <el-table style="width: 95%; margin: 2rem 1rem 3rem 2.4rem"
          :data="material.reviewObj.artisticInfo"
          :header-cell-class-name="tableRowClassName"
          border>
          <el-table-column v-if="material.typeOfContent == 'Programas Especiales' || material.typeOfContent == 'ESPECIALES'"
            label="CONDUCTORES">
            <template slot-scope="scope">
              <div style="margin-left: 10px"
                v-for="(item, index) in scope.row.mainActors"
                :key="index">
                <p>{{ item }}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column v-else
            label="ACTORES PRINCIPALES">
            <template slot-scope="scope">
              <div style="margin-left: 10px" 
                v-for="(item, index) in scope.row.mainActors"
                :key="index">
                <p>{{ item }}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column v-if="material.typeOfContent == 'Programas Especiales' || material.typeOfContent == 'ESPECIALES'"
            label="ARTISTAS">
            <template slot-scope="scope">
              <div style="margin-left: 10px" 
                v-for="(item, index) in scope.row.secondActors"
                :key="index">
                <p>{{ item }}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column v-else
            label="ACTORES SECUNDARIOS">
            <template slot-scope="scope">
              <div style="margin-left: 10px" 
                v-for="(item, index) in scope.row.secondActors"
                :key="index">
                <p>{{ item }}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column
            label="DIRECCIÓN">
            <template slot-scope="scope">
              <div style="margin-left: 10px" 
                v-for="(item, index) in scope.row.director"
                :key="index">
                <p>{{ item }}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column
            label="PRODUCCIÓN">
            <template slot-scope="scope">
              <div style="margin-left: 10px" 
                v-for="(item, index) in scope.row.producer"
                :key="index">
                <p>{{ item }}</p>
              </div>
            </template>
          </el-table-column>
        </el-table>
        <h4 style="margin: 0 0 1rem 2.4rem">TEMAS MUSICALES</h4>
        <el-table style="width: 95%; margin: 2rem 1rem 4rem 2.4rem"
          :data="material.reviewObj.arrMusicalThemes"
          :header-cell-class-name="tableRowClassName"
          border>
          <el-table-column
            prop="titleThemeSong"
            label="TEMA">
          </el-table-column>
          <el-table-column
            label="INTÉRPRETE">
            <template slot-scope="scope">
              <div style="margin-left: 10px" 
                v-for="(item, index) in scope.row.arrInterpreters"
                :key="index">
                <p>{{ item.name }}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column
            label="COMPOSITOR">
            <template slot-scope="scope">
              <div style="margin-left: 10px" 
                v-for="(item, index) in scope.row.arrComposer"
                :key="index">
                <p>{{ item.name }}</p>
              </div>
            </template>
          </el-table-column>
        </el-table>
        <hr class="line-report">
        <h3 class="text-orange" style="margin: 4rem 0 2rem">FICHA TÉCNICA</h3>
        <!-- Duración y resolución del material -->
        <el-row style="margin-bottom: 1rem">
          <el-col :span="12">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
              <strong>DURACIÓN</strong>
            </el-col>
            <el-row class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Duración C/ Créditos:</span>
                <span v-if="timeWithCred[0] == ''"> 0h </span>
                <span v-else> {{timeWithCred[0]}} h </span>
                <span v-if="timeWithCred[1] == ''"> 0min </span>
                <span v-else> {{timeWithCred[1]}} min  </span>
                <span v-if="timeWithCred[2] == ''"> 0s </span>
                <span v-else> {{timeWithCred[2]}} s </span>
              </el-col>
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Duración S/ Créditos:</span>
                <span v-if="timeWithoutCred[0] == ''"> 0h </span>
                <span v-else> {{timeWithoutCred[0]}} h </span>
                <span v-if="timeWithoutCred[1] == ''"> 0min </span>
                <span v-else> {{timeWithoutCred[1]}} min  </span>
                <span v-if="timeWithoutCred[2] == ''"> 0s </span>
                <span v-else> {{timeWithoutCred[2]}} s </span>
              </el-col>
            </el-row>
          </el-col>
          <el-col :span="12">
            <el-col :span="24" class="info-title-rev"> 
              <i class="el-icon-edit" style="font-size: 22px; color: #828282"></i>
              <strong>RESOLUCIÓN DEL MATERIAL</strong>
            </el-col>
            <div class="box-info-rev">
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Pantalla:</span>
                <span>{{material.reviewObj.screen}}</span>
              </el-col>
              <el-col :span="24" class="row-info-rev">
                <span class="fonts-bold-general">Resolución:</span>
                <span>{{material.reviewObj.screenResolution}}</span>
              </el-col>
            </div>
          </el-col>
        </el-row>
        
        <hr class="line-report">
        <h3 class="text-orange" style="margin: 4rem 0 2rem">INGRESO DEL MATERIAL</h3>
        <el-table
          :data="supportInfo"
          :header-cell-class-name="tableRowClassName"
          border>
          <el-table-column
            label="REPOSICIÓN" width="120">
            <template slot-scope="scope">
              <div style="margin-left: 10px">
                <p class="text-red" v-if="scope.$index > 0">{{scope.$index}}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column
            label="FECHA DE LLEGADA">
            <template slot-scope="scope">
              <div style="margin-left: 10px">
                <p>{{ transformDate(scope.row.arrivalDate) }}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column
            label="FECHA DE COPIADO">
            <template slot-scope="scope">
              <div style="margin-left: 10px">
                <p>{{ transformDate(scope.row.dateOfCopy)}}</p>
              </div>
            </template>
          </el-table-column>
          <el-table-column
            prop="shippingMode"
            label="MODO DE ENVÍO"
            width="150">
          </el-table-column>
          <el-table-column
            prop="storages"
            label="ALMACENAMIENTO"
            width="170">
          </el-table-column>
          <el-table-column
            label="CÓDIGO DE DISCO"
            width="170">
            <template slot-scope="scope">
              <div style="margin-left: 10px"
                v-for="(item, index) in scope.row.supportMaterial"
                :key="index">
                <p>{{ item.codeDisk }}</p>
              </div>
            </template>
          </el-table-column>
        </el-table>
      </el-main>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src
import ReturnButton from '@/components/ReturnButton.vue'
import {HTTP} from '../../main.js'
import {scrollToTop} from '@/utils/util.js'

export default {
  components: {
    ReturnButton
  },
  data () {
    return {
      material: {},
      stateObs: 0,
      dialogTableVisible: false,
      previousInfor: {},
      userLogin: localStorage.getItem('userName'),
      reposicionMsg: 'En espera de Reposición',
      timeWithCred: '',
      timeWithoutCred: '',
      supportInfo: [],
      userReview: [],
      positionIn : "",
      totalMaterialsInContract: 0,
      isContractsProvider: false,
      codMaterialContractsProvider: localStorage.getItem('codMaterialContractsProvider'),
      afiliado: '',
      materialsInContract: [],
      totalMaterialsInContractMat: {}
    }
  },
  created () {
    this.materialObj()
    this.positionInContract()
    scrollToTop()
    this.afiliado = JSON.parse(this.$localStorage.get('afiliado'))
    this.timeWithCred = this.material.reviewObj.durWithCredits.split(":")
    this.timeWithoutCred = this.material.reviewObj.durWithoutCredits.split(":")
    this.supportInfo = this.material.infoSupport
    this.isContractsProvider = this.$route.params.isContractsProvider
  },
  methods: {
    materialObj () {
      let observations = JSON.parse(this.$localStorage.get("selectedMaterial")).reviewObj.observations
      this.userReview = JSON.parse(this.$localStorage.get("selectedMaterial")).reviewObj.userLogin
      for (var i = 0; i < observations.length; i++) {
        if (observations[i].status === 'En espera de Reposición') {
          this.stateObs++
        }
      }
      this.material = JSON.parse(this.$localStorage.get("selectedMaterial"))
    },
    async positionInContract() {
      try {
        const {contractCode} = this.material
        if(contractCode) {
          const {data: {contract}} = await HTTP.get('contracts/contractCode/'+ contractCode)
          this.materialsInContract = contract[0].admittedMaterials
          this.setGroupMat(this.materialsInContract)
        }
      } catch(err) {
        console.log(err, 'err')
      }
    },
    getPosition (array) {
      this.totalMaterialsInContract = array.length
      array.map((el, i, arr) => {
       
        if(el.codMaterial == this.material.codMaterial) {
          this.positionIn =  (i + 1)
        }
      })
    },
    viewList () {
      if ( this.isContractsProvider === true ) {
        this.$router.push({ name: "contractsProvider"});
      }
      else {
        let routePart = this.material.typeOfContent;
        let cannedView = localStorage.getItem('cannedView')
        if(routePart == 'Películas'){
          routePart = 'Largometrajes'
        } else if(routePart == 'Programas Especiales'){
          routePart = 'specials'
        } else 
        if(routePart == 'MINI SERIE'){
          routePart = 'miniseries'
        } else if(routePart == 'Especial'){
          routePart = 'specials'
        } else if(routePart == 'ESPECIALES'){
          routePart = 'specials'
        } else if(routePart == 'TELEVISA - ESPECIALES'){
          routePart = 'specials'
        } 

        let cannedShow;
        if(cannedView == 'true'){
          cannedShow = true;
        } else {
          cannedShow = false;
        }

        if ( routePart == 'Dibujos' || routePart == 'DIBUJOS' || routePart == 'Largometrajes' || routePart == 'LARGOMETRAJES' ||routePart == 'Miniseries' ||  routePart == 'TELENOVELA'  ||  routePart == 'Novelas' || routePart == 'SERIE'  ||  routePart == 'Series') {
          this.$router.push({ name: (routePart).toLowerCase(), params: { canned: cannedShow } });
        } else {
          if(this.afiliado){
            this.$router.push({name: 'tipoDeMaterial'})
          } else{
            this.$router.push({name: 'typeMaterial'})
          }
        } 
      }
    },
    viewVideoReposit () {
      this.$router.push({name: 'reposition'})
    },
    viewRev () {
      this.$router.push({name: 'revision'})
    },
    tableRowClassName ({row, rowIndex}) {
      if (rowIndex === 0) {
        return 'bg-light-red';
      }
    },
    handleEdit (index, row) {
      this.previousInfor = row
    },
    transformDate(value) {
      if(value === '') {
        return 'No ingresado'
      } else {
        return new Date(value).toLocaleDateString('en-GB')
      }
    },
    setGroupMat(arr) {
      let arrTypeContent = arr.map((e) => (e.typeOfContent))
      let valuesRepeat = {};
      arrTypeContent.forEach(function(i) { valuesRepeat[i] = (valuesRepeat[i]||0) + 1;})
      this.totalMaterialsInContractMat = valuesRepeat
    },
    getPositionMat (obj) {
      const {typeOfContent, codMaterial} = obj
      let newArr =  this.agroupCategories(this.materialsInContract)
      let response
      if(newArr[typeOfContent]) {
        newArr[typeOfContent].forEach((e, i) => {
            if(e.codMaterial  === codMaterial) {
              response = (i+1)
            }
        })
      }
      return response
    },
    agroupCategories (arr) {
      let agrupando = {};
      arr.forEach((obj, i) => {
        let cuts = obj.typeOfContent;
        let key = cuts;
        if (agrupando[key] == null) {
            agrupando[key] = [];
        }
        agrupando[key].push(obj);
      })
      return agrupando
    },
    textCounterAboutTypeOfContentSecond(mat) {
      const {typeOfContent, codMaterial } = mat
      if(this.totalMaterialsInContractMat[typeOfContent]) {
        let total = this.totalMaterialsInContractMat[typeOfContent]
        let num = this.getPositionMat(mat) || 0
        return `( ${num} / ${total} )`
      }
    },
    textCounterAboutTypeOfContent(val) {
      const {contractPosition} = val
      if(contractPosition || contractPosition !== '') {
        return `(${contractPosition})`
      } else {
        return this.textCounterAboutTypeOfContentSecond(val)
      }
    }
  }
}
</script>

<style>
  .el-button.btn-edit-report, .el-button.btn-edit-report:hover, .el-button.btn-edit-report:focus{
    text-transform: uppercase;
    font-weight: 500;
    margin-right: 10px;
    border: 1px solid #ff5000;
    background: transparent;
  }
  .report-title .el-card__body{
    padding: 10px 20px;
    color: white;
    border-radius: 0;
    text-transform: uppercase;
    font-size: 18px;
  }
  .report-title.el-card{
    border-radius: 0;
    box-shadow: 0 0 0 0 transparent;
    background: #828282;
  }
  .info-title-rev{
    padding: 10px 10px 20px 20px;
  }
  .box-info-rev{
    padding: 10px 10px 10px 50px;
  }
  .row-info-rev{
    margin-bottom: 10px;
  }
  .row-info-rev .fonts-bold-general{
    margin-right: 15px;
  }
  .info-title-rev strong{
    margin-left: 8px;
  }
  .margin-conditional{
    margin: 0 0 2rem !important;
  }
  .resize-height-header{
    height: 170px !important;
  }
  .height-header{
    height: 250px !important;
  }
</style>
